{ lib, pkgs, config, myconfig,  ... }:
{
  config.security.acme.certs."mail" = config.services.myCertificates.certConfig // {
    domain = "eldiron.immae.eu";
    extraDomains = let
      zonesWithMx = builtins.filter (zone:
        lib.attrsets.hasAttr "withEmail" zone && lib.lists.length zone.withEmail > 0
      ) myconfig.env.dns.masterZones;
      mxs = map (zone: "mx-1.${zone.name}") zonesWithMx;
    in builtins.listToAttrs (map (mx: lib.attrsets.nameValuePair mx null) mxs);
  };
}
